## geoclue-status 0.2.2

=== debian/changelog ===
geoclue-status (0.2.2) unstable; urgency=low

  * use specific backends instead of default
    (temporarily until geoclue actually works)

 -- Jussi Kukkonen <jhkukkon@cc.hut.fi>  Tue, 21 Aug 2007 16:25:00 +0300

geoclue-status (0.2.1) unstable; urgency=low

  * location info now comes from the civic location callback
  * implemented several hacks to get above working
    (current geoclue API is not yet ready)

 -- Jussi Kukkonen <jhkukkon@cc.hut.fi>  Mon, 20 Aug 2007 13:59:00 +0300

geoclue-status (0.2) unstable; urgency=low

  * Updated to new geoclue API (0.8)
  * added plazes and manual position providers
  * added manual location editor
  * added up-to-date location information to the menu

 -- Jussi Kukkonen <jhkukkon@cc.hut.fi>  Fri, 17 Aug 2007 10:30:04 +0300

geoclue-status (0.1.1) unstable; urgency=low

  * use radio buttons in menu
  * gconf notifications in use

 -- Jussi Kukkonen <jhkukkon@cc.hut.fi>  Wed, 18 Jul 2007 19:57:00 +0300

geoclue-status (0.1) unstable; urgency=low

  * Initial release 

 -- Jussi Kukkonen <jhkukkon@cc.hut.fi>  Wed, 17 Jul 2007 10:30:00 +0300
