=== debian/control ===
Source: geoclue-status
Section: misc
Priority: optional
Maintainer: Jussi Kukkonen <jhkukkon@cc.hut.fi>
Build-Depends: libgtk2.0-dev (>=2.4.0-1), pkg-config, hildon-status-bar-lib-dev (>=2.9)
Standards-Version: 3.6.1

Package: geoclue-status
Section: user/accessories
Architecture: any
Depends: ${shlibs:Depends},${launcher:Depends}, geoclue-position-plazes, geoclue-position-hostip, geoclue-position-gpsd, geoclue-position-manual
Description: Status bar applet for Geoclue
 Geoclue-status is a status bar applet that provides the user information about 
 Geoclue status and also lets the user select their preferred position information
 source.
