## geoclue-status 0.2.2-1

=== debian/changelog ===
geoclue-status (0.2.2-1) unstable; urgency=low

  * fixed dependencies to geoclue 0.8 (not just any geoclue)

 -- Jussi Kukkonen <jhkukkon@cc.hut.fi>  Tue, 21 Aug 2007 16:25:00 +0300
