=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: geoclue-status
 Section: user/accessories
 Architecture: any
-Depends: ${shlibs:Depends},${launcher:Depends}, geoclue-position-plazes, geoclue-position-hostip, geoclue-position-gpsd, geoclue-position-manual
+Depends: ${shlibs:Depends},${launcher:Depends}, geoclue (>=0.8), libgeoclue0 (>=0.8) geoclue-position-plazes (>=0.8), geoclue-position-hostip (>=0.8), geoclue-position-gpsd (>=0.8), geoclue-position-manual (>=0.8)
 Description: Status bar applet for Geoclue
  Geoclue-status is a status bar applet that provides the user information about 
  Geoclue status and also lets the user select their preferred position information
